Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_FolderPathRelationshipSelector

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectSelector
          oracle.ifs.server.S_SystemObjectSelector
              oracle.ifs.server.S_RelationshipSelector
                  oracle.ifs.server.S_FolderRelationshipSelector
                      oracle.ifs.server.S_FolderPathRelationshipSelector

Direct Known Subclasses:
  S_BodyPartRelationshipSelector

    public class S_FolderPathRelationshipSelector

extends S_FolderRelationshipSelector

The `S_FolderPathRelationshipSelector` class

See Also:
  `S_LibraryService`, `S_LibrarySession`
(Unpublished)

Field Summary
`protected static java.lang.String` | `SELECT_BY_PATH_STATEMENT_SUFFIX`

Fields inherited from class oracle.ifs.server.S_LibraryObjectSelector
`m_ClassId, m_IdSortSpecification, m_NameSortSpecification, m_Session`

Constructor Summary
`protected` | `S_FolderPathRelationshipSelector(S_LibrarySession session, java.lang.Long classId)` Construct a S_FolderPathRelationshipSelector object.

Method Summary
`protected LibraryQueryStatement` | `getSelectObjectByPathStatement(LibraryConnection lconn, java.sql.Connection conn)`
`protected S_LibraryObjectData` | `selectObjectByPath(java.lang.Long leftId, java.lang.String rightName)`
`protected S_LibraryObjectData` | `selectObjectByUppercasePath(java.lang.Long leftId, java.lang.String rightName)`

Methods inherited from class oracle.ifs.server.S_RelationshipSelector
`getRelationshipSelectCountStatement, getRelationshipSelectStatement, getSortSeqeunceSortSpecification, selectLeftObjects, selectLeftObjectsCount, selectLeftObjectsCursor, selectRelationshipCount, selectRelationshipCursor, selectRelationships, selectRightObjects, selectRightObjectsCount, selectRightObjectsCursor`

Methods inherited from class oracle.ifs.server.S_LibraryObjectSelector
`closeCursor, ensureDefaultClass, findObjectById, generateStatementName, generateStatementName, generateStatementName, generateStatementName, getClassData, getClassId, getClassName, getComplexQueryStatement, getCountFromResultSet, getIdSortSpecification, getNameSortSpecification, getResourceString, getService, getSimpleCountQueryStatement, getSimpleQueryStatement, getStatementSuffix, nextItem, selectAllObjects, selectArrayReferencingObjects, selectArrayReferencingObjectsCount, selectArrayReferencingObjectsCursor, selectCount, selectCount, selectObjectById, selectObjects, selectObjects, selectObjects, selectObjects, selectObjectsByMasterId, selectObjectsByStringAttribute, selectObjectsCountByMasterId, selectObjectsCursor, selectObjectsCursorByMasterId, selectObjectsCursorByStringAttribute, selectObjectsExistByMasterId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECT_BY_PATH_STATEMENT_SUFFIX

    protected static final java.lang.String SELECT_BY_PATH_STATEMENT_SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### S_FolderPathRelationshipSelector

    protected S_FolderPathRelationshipSelector(S_LibrarySession session,
                                               java.lang.Long classId)
                                        throws IfsException

  Construct a S_FolderPathRelationshipSelector object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `classId` - class Id this selector is servicing
  Throws:
    `IfsException`

Method Detail

### selectObjectByPath

    protected S_LibraryObjectData selectObjectByPath(java.lang.Long leftId,
                                                     java.lang.String rightName)
                                              throws IfsException

  Throws:
    `IfsException`

### selectObjectByUppercasePath

    protected S_LibraryObjectData selectObjectByUppercasePath(java.lang.Long leftId,
                                                              java.lang.String rightName)
                                                       throws IfsException

  Throws:
    `IfsException`

### getSelectObjectByPathStatement

    protected LibraryQueryStatement getSelectObjectByPathStatement(LibraryConnection lconn,
                                                                   java.sql.Connection conn)
                                                            throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD